X11

From OS X Scientific Computing

Revision as of 14:23, 17 May 2016 by Wgscott (Talk | contribs)
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to: navigation, search
xdarwin.png

Contents




Just the essentials

Be sure to install the latest stable X11 from Xquartz.org (2.7.9 as of May 05, 2016).



On 10.8 and above

Apple's X11

Xlogo.png

Apple has dropped X11 again, so we are back to installing a third-party application. Fortunately, this appears to be fairly seamless, thanks to the Xquartz project.

Download Xquartz X11 and install it. It will install into /opt/X11 and make the following symbolic links for backward compatibility:

 /usr/X11 -> /opt/X11
 /usr/X11R6 -> /opt/X11






On 10.6 and above

X11 installs with 10.6 and 10.7 by default. Use that. Be sure to install the Xcode developer tools to ensure that you have the X11 SDK in place.

It is best NOT to install any other X11 stuff in /usr/X11.




On 10.5

  • Install the X11 SDK. (This gets installed by default when you install Apple's Xcode.)

then ...

  • Install the latest X11.app (Don't install 2.4.0; stick to 2.3.3.2 if you ever plan to update to 10.6). (The X11 on earlier OS X installation DVDs is obsolete). Get a more recent version of X11 from here:
  • 10.5 only: DO NOT set the $DISPLAY variable
  • Note that it will launch automatically when needed. You don't have to manually launch the X11.app in 10.5.X.

Command-line install

If you need to do X11 updates remotely, copy the X11.pkg file to the appropriate machine, and then issue the command

sudo installer -pkg X11.pkg    -target "/" 





On 10.4

  • Install the X11 SDK. (This gets installed by default when you install Xcode.)

then ...

  • Install X11.app from the OS X installation DVD. It is an optional package in 10.4. Run software update to make sure you have the latest version.
  • 10.4 only: Set the $DISPLAY variable (for users of Terminal.app or iTerm.app) in 10.4, but do not set DISPLAY in 10.5.
  • 10.4 only: Add X11.app to your Login Items if you want it to launch before you need it in 10.4. Do not do this in 10.5; it launches automatically when needed.





Further Details

X11 more details

Personal tools